
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class AddListener implements ActionListener
{
    Sac s;
    JComboBox b;
    JCheckBox cb;
    JTextField t;
    JTextField t2;
    JTextArea ta;
    Frame f;
   
    public AddListener(Frame f, Sac s, JComboBox b, JCheckBox cb, JTextField t, JTextField t2, JTextArea ta)
    {
        this.f = f;
        this.s = s;
        this.b = b;
        this.cb = cb;
        this.t = t;
        this.t2 = t2;
        this.ta = ta;
    }


    public void actionPerformed(ActionEvent ae)
    {
        try 
        {
            if (b.getSelectedItem().toString().equals("Lettre"))
            {
                Lettre l = new Lettre(cb.isSelected());
                s.ajouter(l);
                ta.append("Ajout: "+l+"\n");
                t2.setText(""+s.getVolume());
            }
            else if (b.getSelectedItem().toString().equals("Colis"))
            {
                double d = 0;
                try
                {
                    d = Double.parseDouble(t.getText());
                }
                catch (NumberFormatException e) { }
                Colis c = new Colis(d);
                s.ajouter(c);
                ta.append("Ajout: "+c+"\n");
                t2.setText(""+s.getVolume());
            }
        }
        catch (SacPleinException e)
        {
            JOptionPane.showMessageDialog(f, "Le sac est plein!");
        }
     }
}
