import java.util.ArrayList;
import java.util.List;
public class Sac
{
	private double volMax;
	private double vol;
	private List<Courrier> contenu;

	public Sac(double v)
	{
		vol = 0;
		volMax = v;
		contenu = new ArrayList<Courrier>();
		}


	public Sac ajouter(Courrier c) throws SacPleinException
	{
		if (vol + c.getVolume() <=volMax)
		{
			contenu.add(c);
			vol += c.getVolume();
		}
		else throw new SacPleinException(c.getVolume(),vol,volMax);
		return this;
	}
        
	public double affranchir()
	{
            double s = 0;
            for (int i=0; i<contenu.size(); i++)
                s += contenu.get(i).affranchir();
            return s;
	}
        
	public double getVolume()
	{
		return vol;
	}
	public double getVolMax()
	{
		return volMax;
	}

	public int getNbCourrier()
	{
		return contenu.size();
	}
	
	public Courrier getCourrier(int i)
	{
		return contenu.get(i);
	}

}
