public class SacPleinException extends Exception
{
	private double volMax;
	private double volAct;
	private double volCourrier;

	public SacPleinException(double vC, double vA, double vM)
	{
		super();
		volMax = vM;
		volAct = vA;
		volCourrier = vC;
	}

	public double getVolMax() {
		return volMax;
	}

	public double getVolAct() {
		return volAct;
	}

	public double getVolCourrier() {
		return volCourrier;
	}
	

}
